<#ibiztemplate>
TARGET=PSAPPVIEWMSG
</#ibiztemplate>
import ViewMessageService from '../view-message-service';
/**
 * ${item.getName()}视图消息服务对象基类
 *
 * @export
 * @class ${item.getCodeName()}MessageServiceBase
 */
export default class ${srfclassname('${item.getCodeName()}')}MessageServiceBase extends ViewMessageService {

    /**
     * Creates an instance of  ${srfclassname('${item.getCodeName()}')}MessageServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  ${srfclassname('${item.getCodeName()}')}MessageServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础参数
     * 
     * @memberof ${srfclassname('${item.getCodeName()}')}MessageServiceBase
     */
    public initBasicParam(){
        this.id = "${item.getId()}";
        this.name = "${item.getName()}";
        this.codename = "<#if item.getCodeName()??>${item.getCodeName()}</#if>";
        this.tilte = "<#if item.getTitle()??>${item.getTitle()}</#if>";
        this.content = "<#if item.getTitle()??>${item.getTitle()}</#if>";
        this.closeMode = "";
        this.position = "<#if item.getPosition()??>${item.getPosition()}</#if>";
        this.type = "${item.getMessageType()}";
        this.isdefault = true;
        this.isEnableRemove = true;
        this.dynamicMode = "STATIC";
    }

}